<div class="form-group col-sm-12 {{ $errors->has('site_name') ? 'has-error' : '' }}">
	<label for="site_name">Site Name</label>
	<input type="text" class="form-control" id="site_name" name="site_name" placeholder="Site Name" value="{{ old('site_name',$so->site_name) }}">
	<span class="help-block">{{ $errors->first('site_name') }}</span>
</div>

<div class="form-group col-sm-9 {{ $errors->has('site_description') ? 'has-error' : '' }}">
	<label for="site_description">Site Description</label>
	<textarea class="form-control" id="site_description" name="site_description" placeholder="Site Description" rows="3">{{ old('site_description',$so->site_description) }}</textarea>
	<span class="help-block">{{ $errors->first('site_description') }}</span>
</div>
<div class="form-group col-sm-3 {{ $errors->has('site_logo') ? 'has-error' : '' }}">
	<label for="site_logo">Site Logo</label>
	<input type="file" class="form-control" id="site_logo" name="site_logo"><img class="col-sm-12" src="{{ asset($so->site_logo) }}">
	<span class="help-block">{{ $errors->first('site_logo') }}</span>
</div>

<fieldset class="form-group col-sm-12">
	<label>Site Address</label>

	<div class="form-group col-sm-12 {{ $errors->has('site_address1') ? 'has-error' : '' }}">
		<label for="site_address">Site Address Lines</label>
		<input type="text" class="form-control" id="site_address1" name="site_address1" placeholder="Address1" value="{{ old('site_address1',$so->site_address1) }}">
		<input type="text" class="form-control" id="site_address2" name="site_address2" placeholder="Address2" value="{{ old('site_address2',$so->site_address2) }}">
		<span class="help-block">{{ $errors->first('site_address1') }} {{ $errors->first('site_address2') }}</span>
	</div>
	<div class="form-group col-sm-6 {{ $errors->has('site_city') ? 'has-error' : '' }}">
		<label for="site_address">Site City</label>
		<input type="text" class="form-control" id="site_city" name="site_city" placeholder="City" value="{{ old('site_city',$so->site_city) }}">
		<span class="help-block">{{ $errors->first('site_city') }}</span>
	</div>
	<div class="form-group col-sm-3 {{ $errors->has('site_state') ? 'has-error' : '' }}">
		<label for="site_address">Site State</label>
		<input type="text" class="form-control col-sm-3" id="site_state" name="site_state" placeholder="State" value="{{ old('site_state',$so->site_state) }}">
		<span class="help-block">{{ $errors->first('site_state') }}</span>
	</div>
	<div class="form-group col-sm-3 {{ $errors->has('site_postcode') ? 'has-error' : '' }}">
		<label for="site_address">Site Post Code</label>
		<input type="text" class="form-control col-sm-3" id="site_postcode" name="site_postcode" placeholder="Post Code" value="{{ old('site_postcode',$so->site_postcode) }}">
		<span class="help-block">{{ $errors->first('site_postcode') }}</span>
	</div>
</fieldset>

<div class="form-group col-sm-6 {{ $errors->has('site_phone') ? 'has-error' : '' }}">
	<label for="site_phone">Site Phone</label>
	<input class="form-control" id="site_phone" name="site_phone" placeholder="Site Phone" value="{{ old('site_phone',$so->site_phone) }}">
	<span class="help-block">{{ $errors->first('site_phone') }}</span>
</div>
<div class="form-group col-sm-6 {{ $errors->has('site_fax') ? 'has-error' : '' }}">
	<label for="site_fax">Site Fax</label>
	<input class="form-control" id="site_fax" name="site_fax" placeholder="Site Fax" value="{{ old('site_fax',$so->site_fax) }}">
	<span class="help-block">{{ $errors->first('site_fax') }}</span>
</div>
<div class="control-group form-group col-sm-6 {{ $errors->has('site_email') ? 'has-error' : '' }}">
	<label for="site_email">Site Email</label>
	<input type="email" class="form-control" id="site_email" name="site_email" placeholder="Site Email" value="{{ old('site_email',$so->site_email) }}">
	<span class="help-block">{{ $errors->first('site_email') }}</span>
</div>
<div class="control-group form-group col-sm-6 {{ $errors->has('site_tax') ? 'has-error' : '' }}">
	<label for="site_tax">Site Tax Number</label>
	<div class="input-group">
		<span class="input-group-addon">ABN</span>
		<input type="number" class="form-control" id="site_tax" name="site_tax" minlength="10" maxlength="10" placeholder="Site Tax" value="{{ old('site_tax',$so->site_tax) }}">
	</div>
	<span class="help-block">{{ $errors->first('site_tax') }}</span>
</div>