<div class="box box-notice">
	<div class="box-header">
		<h3 class="box-title">Payment History</h3>
		<div class="box-tools pull-right">
			<button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
				<i class="fa fa-minus"></i></button>
			<button type="button" class="btn btn-box-tool" data-widget="remove" data-toggle="tooltip" title="Remove">
				<i class="fa fa-times"></i></button>
		</div>
	</div>

	<div class="box-body">
		@if ($user->payment_history->count())
			<table class="table table-bordered table-striped table-hover" id="payments" style="width: 100%;">
				<thead>
					<tr>
						<th>ID</th>
						<th>Date</th>
						<th>Amount</th>
					</tr>
				</thead>
			</table>
		@else
			<p>No payments recorded</p>
		@endif
	</div>
</div>

@section('page-scripts')
	@css('https://cdn.datatables.net/responsive/2.2.1/css/responsive.dataTables.min.css')
	@css('https://cdn.datatables.net/rowgroup/1.0.2/css/rowGroup.dataTables.min.css')
	@js('https://cdn.datatables.net/responsive/2.2.1/js/dataTables.responsive.min.js')
	@js('https://cdn.datatables.net/rowgroup/1.0.2/js/dataTables.rowGroup.min.js')

	<style>
		table.dataTable {
			width: 100%;
		}
		table.dataTable td {
			outline: none;
		}
	</style>
	<script type="text/javascript">
		$(document).ready(function() {
			$('#payments').DataTable( {
				responsive: true,
				ajax: {
					url: "/api/u/payments"
				},
				columns: [
					{ data: "payment_id_url" },
					{ data: "date_paid" },
					{ data: "total" },
				],
				language: {
					emptyTable: "No Payments On File"
				},
				order: [0, 'desc']
			});

			$('#payments tbody').on('click','tr', function () {
				$(this).toggleClass('selected');
			});
		});
	</script>
@append